TYPOS3 Core - Task #69821
Story # 69712 (New): Further FormEngine development

FormEngine: Split TcaTypesShowitem provider
2015-09-15 13:35 - Morton Jonuschat

Status: Closed Start date: 2015-09-15
Priority: Should have Due date:

Assignee: Morton Jonuschat % Done: 100%
Category: FormEngine aka TCEforms Estimated time: 0.00 hour
Target version: 7.5

TYPO3 Version: 7 Complexity: medium
PHP Version: 5.6 Sprint Focus:

Tags:

Description

Move removeObsoleteColumns() into a dedicated provider and add unit tests.

Associated revisions

Revision 07dabf60 - 2015-09-19 12:05 - Morton Jonuschat
[TASK] FormEngine: Split TcaTypesShowitem provider

Split the TcaTypesShowitem provider to only deal with resolving
the showitem list. The actual removal of columns not referenced in
either in the showitem list or in one of the palettes is done by the
TcaTypesRemoveUnusedColumns provider.

Resolves: #69821

Releases: master

Change-Id: 12cf988ca375a09d4f62e2cdbf1566fb9e449447e
Reviewed-on: http://review.typo3.org/43329

Reviewed-by: Morton Jonuschat <m.jonuschat@mojocode.de>
Tested-by: Morton Jonuschat <m.jonuschat@mojocode.de>
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

History

#1 - 2015-09-15 13:35 - Morton Jonuschat
- Parent task set to #69712

#2 - 2015-09-15 14:56 - Gerrit Code Review

- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43329

#3 - 2015-09-18 13:40 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43329

#4 - 2015-09-19 11:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/43329

#5 - 2015-09-19 11:12 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/43329
#6 - 2015-09-19 11:19 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43329

#7 - 2015-09-19 11:36 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/43329

#8 - 2015-09-19 11:41 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.org/43329

#9 - 2015-09-19 12:30 - Morton Jonuschat
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 07dabf60bc58f663022445d54e043d5f058580a8.

#10 - 2016-01-08 11:13 - Anja Leichsenring
- Sprint Focus deleted (On Location Sprint)

#11 - 2017-10-19 21:47 - Riccardo De Contardi

- Status changed from Resolved to Closed
